import { ThemeService } from '@alauda/ui';
import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { NotifyService } from '../notify.service';
import { Message } from '../utils';
import * as i0 from "@angular/core";
export declare class HeaderNotifyComponent implements OnInit, OnDestroy {
    private readonly notifyService;
    private readonly theme;
    private readonly cdr;
    active: boolean;
    visible: boolean;
    push: boolean;
    pushEnabled: boolean;
    list: Message[];
    beforeUnloadHandle(): void;
    noDataSrc$: import("rxjs").Observable<string>;
    constructor(notifyService: NotifyService, theme: ThemeService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    watchMessageConfigMap(): void;
    getNotifyList(): void;
    openNotify(): void;
    closeNotify(): void;
    switchPush(enabled: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderNotifyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderNotifyComponent, "acl-header-notify", never, {}, {}, never, never, false>;
}
